package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotBlank;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

public class SysPost extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    @Excel(name = "岗位序号", cellType = Excel.ColumnType.NUMERIC)
    private Long postId;
    @Excel(name = "岗位编码")
    private String postCode;
    @Excel(name = "岗位名称")
    private String postName;
    @Excel(name = "岗位排序")
    private Integer postSort;
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;
    private boolean flag;
    
    public SysPost() {
        this.flag = false;
    }
    
    public Long getPostId() {
        return this.postId;
    }
    
    public void setPostId(final Long postId) {
        this.postId = postId;
    }
    
    @NotBlank(message = "岗位编码不能为空")
    @Size(min = 0, max = 64, message = "岗位编码长度不能超过64个字符")
    public String getPostCode() {
        return this.postCode;
    }
    
    public void setPostCode(final String postCode) {
        this.postCode = postCode;
    }
    
    @NotBlank(message = "岗位名称不能为空")
    @Size(min = 0, max = 50, message = "岗位名称长度不能超过50个字符")
    public String getPostName() {
        return this.postName;
    }
    
    public void setPostName(final String postName) {
        this.postName = postName;
    }
    
    @NotNull(message = "显示顺序不能为空")
    public Integer getPostSort() {
        return this.postSort;
    }
    
    public void setPostSort(final Integer postSort) {
        this.postSort = postSort;
    }
    
    public String getStatus() {
        return this.status;
    }
    
    public void setStatus(final String status) {
        this.status = status;
    }
    
    public boolean isFlag() {
        return this.flag;
    }
    
    public void setFlag(final boolean flag) {
        this.flag = flag;
    }
    
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("postId", this.getPostId()).append("postCode", this.getPostCode()).append("postName", this.getPostName()).append("postSort", this.getPostSort()).append("status", this.getStatus()).append("createBy", this.getCreateBy()).append("createTime", this.getCreateTime()).append("updateBy", this.getUpdateBy()).append("updateTime", this.getUpdateTime()).append("remark", this.getRemark()).toString();
    }
}
